package com.auto.clicker.autoclicker.data;

import android.view.WindowManager;
import android.widget.TextView;

public class PointEvent extends Event {
    private int id;
    private int x;
    private int y;

    private transient TextView view;
    private transient WindowManager.LayoutParams layoutParams;

    public PointEvent(int id, int x, int y) {
        super(id);
        this.x = x;
        this.y = y;
    }

    @Override
    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getX() {
        return x;
    }

    public void setX(int x) {
        this.x = x;
    }

    public int getY() {
        return y;
    }

    public void setY(int y) {
        this.y = y;
    }

    public TextView getView() {
        return view;
    }

    public void setView(TextView view) {
        this.view = view;
    }

    public WindowManager.LayoutParams getLayoutParams() {
        return layoutParams;
    }

    public void setLayoutParams(WindowManager.LayoutParams layoutParams) {
        this.layoutParams = layoutParams;
    }
}
